import manin.ellcurve.ellcurve as ec
import manin.plot.graph as G
import math
import manin.rings.arith as arith

g = G.Graph("lser",(-2,-2),(4,2), unit=2)

def plot(label, C=G.Color(0,0,1)):
    e = ec.EllipticCurve(label)
    g.axes()
    P = []
    for i in xrange(-2,40):
        x = i/10.0
        print "x = ", x
        P.append(G.Point(x,e.Lseries(x)))
    g.color(C)
    g.curve(P)
    g.color(0)
    g.text(P[len(P)-1] + G.Point(0.2,-0.1), "%s: $%s$"%(label,e))

def go():
    plot("11A",(0,1,0))
    plot("37A",(1,0,0))
    plot("389A",(0,1,1))
    plot("5077A",(1,1,0))

